#include <vhex/defs/types.h>
#include <vhex/display.h>
#include <vhex/display/stack.h>

/* dclear_draw() : real drawing algorithm */
static void dclear_draw(struct dshader_surface *surface, uint32_t *arg)
{
	uint32_t * restrict vram;
	uint32_t color;

	vram = surface->frag;
	color = arg[0] & 0xffff;
	for (int i = 0; i < 2048; ++i)
		vram[i] = (color << 16) | (color << 0);
}

/* dclear(): Fill the screen with a single color */
did_t dclear(int color)
{
	return dstack_add_action(&DSTACK_CALL(&dclear_draw, color), NULL, NULL);
}
