#include "vhex/display/stack.h"
#include "vhex/module.h"

/* module init */

/* __display_init() : initialize the display */
static void __display_init(void)
{
	struct dstack_config conf = {
		.default_icall_pool_slot   = DSTACK_DEFAULT_ICALL_SLOT,
		.default_icall_args_nb     = DSTACK_DEFAULT_ICALL_ARGS,
		.default_shader_per_action = DSTACK_DEFAULT_SHADER_PER_ACTION
	};
	dstack_init(&conf);
}

/* __display_quit() : uninit the display */
static void __display_quit(void)
{
	dstack_quit();
}

/* declare the display module */

struct vhex_module mod_display = {
	.name = "display",
	.init = &__display_init,
	.quit = &__display_quit,
};
VHEX_DECLARE_MODULE(03, mod_display);
